## neutron-fwaas-dashboard 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Django<2.0,>=1.8 # BSD
python-neutronclient>=6.3.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas-dashboard (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #898156).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 14:09:04 +0100

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-coverage,
 python3-django-nose,
 python3-mock,
 python3-mox3,
 python3-neutronclient (>= 6.3.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-fwaas-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-fwaas-dashboard.git
Homepage: https://github.com/stackforge/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-neutronclient (>= 6.3.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test -v 2 --settings=neutron_fwaas_dashboard.test.settings ; \
	done
endif
	# Copy the enabled files
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -axuf neutron_fwaas_dashboard/enabled/_70* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp -axuf neutron_fwaas_dashboard/enabled/_70* $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled

	# Copy the static files of neutron-fwaas-dashboard into the folder served
	# as /$WEBROOT/static for the Horizon vhost
	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static
	cp -auxf neutron_fwaas_dashboard/static/neutron_fwaas_dashboard $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

## neutron-fwaas-dashboard 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Django<2.0,>=1.8 # BSD
-python-neutronclient>=6.3.0 # Apache-2.0
+horizon>=13.0.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas-dashboard (1.5.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Michal Arbet ]
  * Redesign horizon plugin
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 19:37:04 +0100

neutron-fwaas-dashboard (1.5.0-2) unstable; urgency=medium

  * Just to be nice with Ubuntu people, adding python3-django-horizon
    build-dependency (Closes: #907077).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Sep 2018 00:12:46 +0200

neutron-fwaas-dashboard (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2018 22:21:13 +0200

neutron-fwaas-dashboard (1.3.0-2) unstable; urgency=medium

  * Add missin || in if statement of postrm (Closes: #900493).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 May 2018 19:21:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: neutron-fwaas-dashboard
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -13,12 +14,12 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:13.0.0~rc1),
+ openstack-dashboard (>= 3:14.0.0~rc1),
  python3-coverage,
+ python3-django-horizon (>= 3:14.0.0~rc1),
  python3-django-nose,
  python3-mock,
- python3-mox3,
- python3-neutronclient (>= 6.3.0),
+ python3-neutronclient (>= 6.7.0),
  python3-nose,
  python3-nose-exclude,
  python3-nosehtmloutput,
@@ -33,8 +34,8 @@
 Package: python3-neutron-fwaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:13.0.0~rc1),
- python3-neutronclient (>= 6.3.0),
+ openstack-dashboard (>= 3:14.0.0~rc1),
+ python3-neutronclient (>= 6.7.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move policy file
	cp -v $(CURDIR)/etc/neutron-fwaas-policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/neutron-fwaas-policy.json

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_fwaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config dirs from /usr/lib/python3/dist-packages/neutron_fwaas_dashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_fwaas_dashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test -v 2 --settings=neutron_fwaas_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## neutron-fwaas-dashboard 2.0.1

=== debian/changelog ===
neutron-fwaas-dashboard (2.0.1-0ubuntu1.1) disco; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/control: Add Breaks/Replaces to python3-neutron-fwaas-dashboard to
    ensure python-neutron-fwaas-dashboard is removed on upgrade (LP: #1828293).
  * d/control: (Build-)Depends on latest python3-django-horizon and
    openstack-dashboard to ensure unit tests are successful (LP: #1806053).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 May 2019 14:15:42 -0400

neutron-fwaas-dashboard (2.0.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:57:29 +0100

neutron-fwaas-dashboard (2.0.0-0ubuntu1) disco; urgency=medium

  * New Upstream release for OpenStack Stein.
  * d/control: Bump minimum version of horizon.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 17:15:15 +0000

neutron-fwaas-dashboard (1.5.0-0ubuntu3) cosmic; urgency=medium

  * d/rules: Misc fixes to resolve FTBFS as this package only provides
    a Python 3 module.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Oct 2018 09:54:10 +0100

neutron-fwaas-dashboard (1.5.0-0ubuntu2) cosmic; urgency=medium

  * d/rules,python3-neutron-fwaas-dashboard.*: Refactor to work with
    Ubuntu layout for openstack-dashboard, resolving installation issues
    (LP: #1796357).

 -- James Page <james.page@ubuntu.com>  Mon, 08 Oct 2018 09:19:44 +0100

neutron-fwaas-dashboard (1.5.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 03 Oct 2018 07:48:31 -0400

neutron-fwaas-dashboard (1.3.0-1ubuntu1) cosmic; urgency=medium

  * Add missing build-dependency on python3-django-horizon, needed by
    neutron_fwaas_dashboard/test/settings.py.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Aug 2018 11:00:57 -0700

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.2-0ubuntu4~),
 python3-coverage (>= 4.0),
 python3-django-horizon (>= 3:14.0.2-0ubuntu4~),
 python3-django-nose (>= 1.4.4),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-neutronclient (>= 1:6.7.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas-dashboard
Homepage: https://github.com/stackforge/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.2-0ubuntu4~),
 python3-neutronclient (>= 1:6.7.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Replaces:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
	    PYTHONPATH=$(CURDIR) \
	        NOSE_WITH_OPENSTACK=1 \
	        NOSE_OPENSTACK_COLOR=1 \
	        NOSE_OPENSTACK_RED=0.05 \
	        NOSE_OPENSTACK_YELLOW=0.025 \
	        NOSE_OPENSTACK_SHOW_ELAPSED=1 \
	        python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test -v 2 --settings=neutron_fwaas_dashboard.test.settings ; \
    done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Copy the enabled files
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -axuf neutron_fwaas_dashboard/enabled/_70* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled

override_dh_auto_clean:
	python3 setup.py clean

# NOTE(jamespage): Skip build as no py2 deps installed which confuses the
#                  distutils support in dh_python.
override_dh_auto_build:
	:

## neutron-fwaas-dashboard 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-horizon>=13.0.0 # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas-dashboard (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 09:07:21 +0200

neutron-fwaas-dashboard (2.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 10:37:23 +0200

neutron-fwaas-dashboard (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed package versions when satisfied in Buster.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:26:27 +0200

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~),
 python3-coverage,
 python3-django-horizon (>= 3:16.0.0~),
 python3-mock,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-testtools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-fwaas-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-fwaas-dashboard.git
Homepage: https://github.com/stackforge/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~),
 python3-neutronclient,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/etc/neutron-fwaas-policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/neutron-fwaas-policy.json

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_fwaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test -v 2 --settings=neutron_fwaas_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## neutron-fwaas-dashboard 2.1.1~git2020041315.d49e7ef

=== debian/changelog ===
neutron-fwaas-dashboard (1:2.1.1~git2020041315.d49e7ef-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:56:32 -0400

neutron-fwaas-dashboard (1:2.1.1~git2020032617.d57d35e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/python3-neutron-fwaas-dashboard.postinst: Align chown command with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:10:44 -0400

neutron-fwaas-dashboard (1:2.1.1~git2020021315.d017b82-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Don't run integration tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 15:23:03 -0500

neutron-fwaas-dashboard (1:2.1.0-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/watch: Get release tarballs from tarballs.openstack.org.

  [ James Page ]
  * d/watch: Misc fixes.
  * New upstream release for OpenStack Train.
  * Bump epoch due to mis-versioning of snapshots during development cycle.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 09:52:31 +0100

neutron-fwaas-dashboard (3.0.0~b1~git2019061308.f722df5-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:23:32 -0400

neutron-fwaas-dashboard (3.0.0~b1~git2019061308.f722df5-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:44:29 -0400

neutron-fwaas-dashboard (3.0.0~b1~git2019061308.f722df5-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 14:08:35 +0100

neutron-fwaas-dashboard (2.0.1-0ubuntu2) eoan; urgency=medium

  * d/control: Add Breaks/Replaces to python3-neutron-fwaas-dashboard to
    ensure python-neutron-fwaas-dashboard is removed on upgrade (LP: #1828293).
  * d/control: (Build-)Depends on latest python3-django-horizon and
    openstack-dashboard to ensure unit tests are successful (LP: #1806053).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 May 2019 22:05:46 -0400

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.0.0),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-django-nose (>= 1.4.4),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-neutronclient (>= 1:6.7.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas-dashboard
Homepage: https://github.com/stackforge/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.0.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Replaces:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
	    PYTHONPATH=$(CURDIR) \
	        NOSE_WITH_OPENSTACK=1 \
	        NOSE_OPENSTACK_COLOR=1 \
	        NOSE_OPENSTACK_RED=0.05 \
	        NOSE_OPENSTACK_YELLOW=0.025 \
	        NOSE_OPENSTACK_SHOW_ELAPSED=1 \
	        python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test.api_tests -v 2 --settings=neutron_fwaas_dashboard.test.settings ; \
    done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Copy the enabled files
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -axuf neutron_fwaas_dashboard/enabled/_70* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled

override_dh_auto_clean:
	python3 setup.py clean

# NOTE(jamespage): Skip build as no py2 deps installed which confuses the
#                  distutils support in dh_python.
override_dh_auto_build:
	:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron-fwaas-dashboard neutron-fwaas-dashboard-(\d.*)\.tar\.gz

## neutron-fwaas-dashboard 3.0.0

=== debian/changelog ===
neutron-fwaas-dashboard (3.0.0-1) unstable; urgency=medium

  * Fixed Homepage URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:44:01 +0200

neutron-fwaas-dashboard (3.0.0~rc1-2) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:24:58 +0200

neutron-fwaas-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not run integration tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 11:04:50 +0200

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-django-horizon (>= 3:17.1.0),
 python3-mock,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-selenium,
 python3-testtools,
 python3-xvfbwrapper,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-fwaas-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-fwaas-dashboard.git
Homepage: https://opendev.org/openstack/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.0.0),
 python3-neutronclient,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/etc/neutron-fwaas-policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/neutron-fwaas-policy.json

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_fwaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test neutron_fwaas_dashboard.test -v 2 --settings=neutron_fwaas_dashboard.test.settings --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/neutron-fwaas-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-fwaas-dashboard 8.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
horizon>=17.1.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas-dashboard (1:8.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2024 08:41:37 +0000

neutron-fwaas-dashboard (1:8.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:33:25 +0100

neutron-fwaas-dashboard (1:8.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/watch: Fix URL generation.
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Align (Build)-Depends with release.
  * d/rules: Fix rule file to work with rc versions.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 16:32:31 +0100

neutron-fwaas-dashboard (1:3.0.0-0ubuntu2) UNRELEASED; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:57:55 -0400

neutron-fwaas-dashboard (1:3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:29:24 -0400

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.0.0),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-django-nose (>= 1.4.4),
 python3-mox3,
 python3-neutronclient (>= 1:6.7.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas-dashboard
Homepage: https://github.com/stackforge/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.0.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Replaces:
 python-neutron-fwaas-dashboard (<< 1.5.0-0ubuntu3),
Description: OpenStack Firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas-dashboard/ neutron-fwaas-dashboard-(\d.*)\.tar\.gz

## neutron-fwaas-dashboard 9.0.0

=== debian/changelog ===
neutron-fwaas-dashboard (1:9.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:20:33 -0700

neutron-fwaas-dashboard (1:8.0.0+git2025030311.81bd18b-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 17:36:59 +0000

neutron-fwaas-dashboard (1:8.0.0+git2025011511.284953b-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:27:02 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas-dashboard/ neutron_fwaas_dashboard-(9\.\d.*)\.tar\.gz

## neutron-fwaas-dashboard 9.0.0+git2025070714.6a4c465

=== debian/changelog ===
neutron-fwaas-dashboard (1:9.0.0+git2025070714.6a4c465-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 11:28:02 -0700

## neutron-fwaas-dashboard 10.0.0~rc1

=== debian/changelog ===
neutron-fwaas-dashboard (10.0.0~rc1-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 23 Sep 2025 08:44:45 +0000

neutron-fwaas-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * Initial packaging.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 00:59:03 +0200

## neutron-fwaas-dashboard 10.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
horizon>=17.1.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas-dashboard (10.0.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 01 Oct 2025 21:48:31 +0000

=== debian/control ===
Source: neutron-fwaas-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-selenium,
 openstack-dashboard,
 python3-neutronclient,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-fwaas-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-fwaas-dashboard
Homepage: https://github.com/openstack/neutron-fwaas-dashboard

Package: python3-neutron-fwaas-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-neutronclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack firewall as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the Neutron FWaaS (firewall) OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage* build *.egg-info

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_fwaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i \
			DJANGO_SETTINGS_MODULE=neutron_fwaas_dashboard.test.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test neutron_fwaas_dashboard --settings=neutron_fwaas_dashboard.test.settings -v 3 ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-fwaas/tags .*/(\d[brc\d\.]+)\.tar\.gz
